## CamelSpoolSettings

CamelSpoolSettings

## Functions

gboolean | camel_spool_settings_get_use_xstatus_headers ()
void | camel_spool_settings_set_use_xstatus_headers ()

## Properties

gboolean | use-xstatus-headers | Read / Write / Construct

## Types and Values

struct | CamelSpoolSettings

## Object Hierarchy

        GObject
        ╰── CamelSettings
            ╰── CamelStoreSettings
                ╰── CamelLocalSettings
                    ╰── CamelSpoolSettings

## Description

## Functions

### camel_spool_settings_get_use_xstatus_headers ()

    gboolean
    camel_spool_settings_get_use_xstatus_headers
                                   (CamelSpoolSettings *settings);

Returns whether to utilize both "Status" and "X-Status" headers for interoperability with mbox-based mail clients like Elm, Pine and Mutt.

#### Parameters

settings | a CamelSpoolSettings |

#### Returns

whether to use "X-Status" headers

Since 3.2

### camel_spool_settings_set_use_xstatus_headers ()

    void
    camel_spool_settings_set_use_xstatus_headers
                                   (CamelSpoolSettings *settings,
                                    gboolean use_xstatus_headers);

Sets whether to utilize both "Status" and "X-Status" headers for interoperability with mbox-based mail clients like Elm, Pine and Mutt.

#### Parameters

settings | a CamelSpoolSettings |
use_xstatus_headers | whether to use "X-Status" headers |

Since 3.2

## Types and Values

### struct CamelSpoolSettings

    struct CamelSpoolSettings;

## Property Details

### The `“use-xstatus-headers”` property

      “use-xstatus-headers”      gboolean

Whether to use X-Status headers.

Flags: Read / Write / Construct

Default value: FALSE